// Guide to override standard BB icons .bb-icon
//*****************************************************
// 1.
//  Add extension for bicon follow examle
//
//.bb-icon-error:before {
//     @extend .icon-nlb-ico-warning, :before;
//  }
//
// in .bb-icon class below
//*****************************************************
// 2.
// comment the line in $icon-map vaiable found below
//*****************************************************

//*****************************************************
//*****************************************************
// NOTE : when updating theme dont forget to copy
// $icon-map variable here and "merge" comment out
// the existing remaps.
// File containg the main $icon-map is located
// {theme-folder}\scss\vendor\backbase\base\_icons.scss
//*****************************************************
//*****************************************************

.bb-icon {
  line-height: normal !important;
}

i[class^='icon-nlb-ico-*'] {
  &.fa-2x {
    font-size: 28px;
  }

  &.fa-3x {
    font-size: 42px;
  }
}

i[class*='bb-icon-category'] {
  &:before {
    @extend .icon-nlb-ico-info, :before;
  }
}

bb-icon-ui {
  i.bb-icon-info:before {
    @extend .icon-nlb-ico-info, :before;
  }

  i.bb-icon-insert-chart:before {
    @extend .icon-nlb-ico-other-income, :before;
  }

  i.bb-icon-donut-large:before {
    @extend .icon-nlb-ico-budget, :before;
  }

  i.bb-icon-error:before {
    @extend .icon-nlb-ico-warning, :before;
  }
  i.bb-icon-error-outline:before {
    @extend .icon-nlb-ico-warning, :before;
  }

  i.bb-icon-warning:before {
    @extend .icon-nlb-ico-notifications, :before;
  }

  i.bb-icon-notifications:before {
    color: $nlbDarkerGreyColor default;
    @extend .icon-nlb-ico-notifications, :before;
  }

  i.bb-icon-settings:before {
    @extend .icon-nlb-ico-settings, :before;
  }

  i.bb-icon-success:before {
    @extend .icon-nlb-ico-check, :before;
  }

  i.bb-icon-list:before {
    @extend .icon-nlb-ico-payments, :before;
  }

  i.bb-icon-refresh:before {
    @extend .icon-nlb-ico-exchange, :before;
  }

  i.bb-icon-loading:before {
    @extend .icon-nlb-ico-exchange, :before;
  }

  i.bb-icon-playlist-add-check:before {
    @extend .icon-nlb-ico-check-c, :before;
  }

  i.bb-icon-ellipsis-h:before {
    @extend .icon-nlb-ico-kebab;
  }

  i.bb-icon-chevron-right:before {
    @extend .icon-nlb-ico-chevron-right;
  }

  i.bb-icon-chevron-left:before {
    @extend .icon-nlb-ico-chevron-left;
  }

  i.bb-icon-chevron-left:before {
    @extend .icon-nlb-ico-chevron-left;
  }
  i.bb-icon-chevron-right:before {
    @extend .icon-nlb-ico-chevron-right;
  }

  i.bb-icon-arrow-upward:before {
    @extend .icon-nlb-ico-chevron-up;
  }
  i.bb-icon-arrow-downward:before {
    @extend .icon-nlb-ico-chevron-down;
  }

  i.bb-icon-delete:before {
    @extend .icon-nlb-ico-trash;
  }
  i.bb-icon-toggle-down:before {
    @extend .icon-nlb-ico-chevron-down;
  }

  i.bb-icon-times:before {
    @extend .icon-nlb-ico-close;
  }

  i.bb-icon-lock:before {
    @extend .icon-nlb-ico-lock;
  }

  i.bb-icon-contacts:before {
    @extend .icon-nlb-ico-contacts;
  }

  i.bb-icon-payments:before {
    @extend .icon-nlb-ico-payment-wizard;
  }

  i.bb-icon-mail-outline:before {
    @extend .icon-nlb-ico-messages;
  }

  i.bb-icon-how-to-reg:before {
    @extend .icon-nlb-ico-info;
  }

  //text-editor
  i.bb-icon-format-bold:before {
    @extend .icon-nlb-ico-bold;
  }

  i.bb-icon-format-italic:before {
    @extend .icon-nlb-ico-italic;
  }

  i.bb-icon-format-underlined:before {
    @extend .icon-nlb-ico-underline;
  }

  i.bb-icon-format-strikethrough:before {
    @extend .icon-nlb-ico-block;
  }

  i.bb-icon-format-list-numbered:before {
    @extend .icon-nlb-ico-numbered-list;
  }

  i.bb-icon-format-list-bulleted:before {
    @extend .icon-nlb-ico-bulleted-list;
  }

  i.bb-icon-subject:before {
    @extend .icon-nlb-ico-block;
  }

  i.bb-icon-code:before {
    @extend .icon-nlb-ico-block;
  }

  i.bb-icon-link:before {
    @extend .icon-nlb-ico-link;
  }

  i.bb-icon-attachment:before {
    @extend .icon-nlb-ico-attachment;
  }

  //end---text-editor

  i.bb-icon-email:before {
    @extend .icon-nlb-ico-messages;
  }

  i.bb-icon-notifications-off:before {
    @extend .icon-nlb-ico-notifications;
  }

  i.bb-icon-bar-chart:before {
    @extend .icon-nlb-ico-insights;
  }

  i.bb-icon-data-usage:before {
    @extend .icon-nlb-ico-filter-categories;
  }

  i.bb-icon-arrow-back:before {
    @extend .icon-nlb-ico-outgoing;
  }

  i.bb-icon-swap-horiz:before {
    @extend .icon-nlb-ico-payments;
  }
}
